# Figuring out the damage type of the gun
execute store result storage gbg:macro input.damage int 1 run scoreboard players get @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage
execute store result storage gbg:macro input.source int 1 run scoreboard players get @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.id
data modify storage gbg:macro input.gun_name set from entity @s CustomName

# Doing math to reduce damage
function gbg:misc/calculate_armored_damage

# Running correct damage function depending on gun damage type
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 1 at @s run function gbg:gun_old/shot/bullet_standard with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 2 at @s run function gbg:gun_old/shot/explosion with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 3 at @s run function gbg:gun_old/shot/safe_explosion with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 4 at @s run function gbg:gun_old/shot/fire with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 5 at @s run function gbg:gun_old/shot/laser_standard with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 6 at @s run function gbg:gun_old/shot/ray with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 7 at @s run function gbg:gun_old/shot/underwater_explosion with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 8 at @s run function gbg:gun_old/shot/bullet_light with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 9 at @s run function gbg:gun_old/shot/bullet_heavy with storage gbg:macro input
execute if score @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1] gbg.slowcast.damage_type matches 10 at @s run function gbg:gun_old/shot/laser_strong with storage gbg:macro input

# Stopping Slowcast
kill @e[type=marker,tag=gbg.slowcast,sort=nearest,limit=1]

